#!/bin/sh

SPLASH_DIR="/mnt/.splash"

splash () {
    echo "$1"
    TMPDIR=$SPLASH_DIR psplash-write "MSG $1"
}

ROOTFS_DEV="/dev/mmcblk0p2"

splash "Copying all *.hex files from USB disk to DU"

mkdir -p /root

if ! mount $ROOTFS_DEV /root; then
    splash "ERROR: root file system error, please install sw update to recover"
    sleep 9999d
fi

cp -v /usb/*.hex /root/usr/share/svs/firmware
cp -v /usb/*.HEX /root/usr/share/svs/firmware

umount /root

splash "files copied, please remove USB disk to continue"

while [ -e /sys/class/scsi_disk/* ]; do sleep 1; done

reboot -f

sleep 9999d

